coap_socket_t Struct Reference

`#include <coap_io_internal.h>`

Collaboration diagram for coap_socket_t:
[legend]

## Data Fields

coap_fd_t | fd
coap_socket_flags_t | flags
coap_session_t * | session
coap_endpoint_t * | endpoint

## Detailed Description

Definition at line 23 of file coap_io_internal.h.

## Field Documentation

## endpoint

coap_endpoint_t* coap_socket_t::endpoint

Definition at line 36 of file coap_io_internal.h.

## fd

coap_fd_t coap_socket_t::fd

Definition at line 29 of file coap_io_internal.h.

## flags

coap_socket_flags_t coap_socket_t::flags

Definition at line 34 of file coap_io_internal.h.

## session

coap_session_t* coap_socket_t::session

Definition at line 35 of file coap_io_internal.h.

The documentation for this struct was generated from the following file:

- coap_io_internal.h